WordPress.org

Ready to get started?Download WordPress

Forums

AnythingSlider for WordPress
[resolved] HTML5 iframe attributes (3 posts)

  1. Vernon Fowler
    Member
    Posted 2 years ago #

    I want to use HTML5 and since Chrome/Firefox/Safari all happily ignore old iframe attributes (http://www.w3schools.com/html5/tag_iframe.asp#leftcolumn) you won't notice anything wrong until you load it in good old IE. As it is invalid, it seems like IE just won't render the iframe with non-HTML5 attributes.

    So, I'm wondering if either the plugin will be updated, or if you can point me to the particular file and lines that write the iframe attributes and I'll have a crack myself.

    In particular, frameborder is not allowed in HTML5.

    http://wordpress.org/extend/plugins/anythingslider-for-wordpress/

  2. Mottie
    Member
    Plugin Contributor

    Posted 2 years ago #

    I guess I'm confused. Why can't you just style the iframe using css?

  3. Vernon Fowler
    Member
    Posted 2 years ago #

    Above, I was wrong in my first post about the validation in IE. It seems the plugin writes different code for IE. I was confused as to why the code rendered in IE had inline styles with width: 0px; I admit I don't do enough testing in IE. My friend worked out that if we simply over-ride the inline styles with !important styles, it would render. Thus, we came up with:

    #main div.anythingSlider,#main li.panel{width:690px !important} /* this is required to render the width of anythingSlider in IE */

    If you have a different id, change #main to whatever parent id selector you have in your html.

    Thanks @Mottie for the styling resource.

    Argggh, I must test in IE more.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic